# __gnu_cxx::throw_allocator< T > Class Template Reference

Inheritance diagram for __gnu_cxx::throw_allocator< T >:

List of all members.

## Detailed Description

### template<typename T>
class __gnu_cxx::throw_allocator< T >

Definition at line 191 of file throw_allocator.h.

## Public Types

- typedef const value_type * const_pointer
- typedef const value_type & const_reference
- typedef ptrdiff_t difference_type
- typedef value_type * pointer
- typedef value_type & reference
- typedef size_t size_type
- typedef T value_type

## Public Member Functions

- pointer allocate (size_type num, std::allocator< void >::const_pointer hint=0)
- void check_allocated (size_type label)
- void check_allocated (pointer p, size_type num)
- void construct (pointer p, const T &val)
- void deallocate (pointer p, size_type num)
- void destroy (pointer p)
- void init (unsigned long seed)
- size_type max_size () const throw ()
- template<typename U> throw_allocator (const throw_allocator< U > &) throw ()
- throw_allocator (const throw_allocator &) throw ()
- throw_allocator () throw ()
- ~throw_allocator () throw ()

## Static Public Member Functions

- static bool empty ()
- static double get_throw_prob ()
- static void set_label (size_t l)
- static void set_throw_prob (double throw_prob)

## Static Protected Member Functions

- static void check_allocated (void *, size_t)
- static void erase (void *, size_t)
- static void insert (void *, size_t)
- static void throw_conditionally ()

## Classes

- struct rebind

The documentation for this class was generated from the following file:

- throw_allocator.h